# ML Housing Prediction

It predicts the median housing values taking the best estimator features

## The following techniques have been used: 

 - Linear regression
 - Decision Tree
 - Random Forest

## Steps performed
 - We prepare and clean the data. We check and impute for missing values.
 - Features are generated and the variables are checked for correlation.
 - Multiple sampling techinuqies are evaluated. The data set is split into train and test.
 - All the above said modelling techniques are tried and evaluated. The final metric used to evaluate is mean squared error.

## To excute the script Create an environment using <file_name.yml> available

```bash
    conda create --name <env_name> -f <file_name.yml>
    conda activate <env_name>
```
## Use pip to install any dependencies
```bash
    pip3 install -U <name>
``` 
## Running Python files

To run scripts, run the following command

```bash
  python3 path_to/file_name.py
```

## Running Tests

To run tests, run the following command

```bash
  python3 tets/unit_tests/file_name.py
```

## Author

[@vikashTA](https://www.github.com/vikashTA)